%global rosrelease fuerte

Name:           ros-release
Version:        5.0
Release:        3%{?dist}
Summary:        Robot Operating System release files

Group:          Development/Libraries
License:        BSD
URL:            http://www.ros.org
BuildArch:      noarch
Provides:       ros-%{rosrelease}-release = %{version}-%{release}

%description
ROS Release files, macros, and common directories for ROS packages

%prep

%build

%install
install -d %{buildroot}%{_sysconfdir}/ros
install -d %{buildroot}%{_datadir}/ros/cmake

cat >> %{buildroot}%{_sysconfdir}/ros-release << EOF
ROS %{rosrelease} (Fuerte Turtle)
EOF

install -d %{buildroot}%{_sysconfdir}/rpm
cat >> %{buildroot}/etc/rpm/macros.ros << EOF
# ROS Macros

%%rosrelease              %{rosrelease}
EOF

%files
%dir %{_sysconfdir}/ros
%{_datadir}/ros
%config(noreplace) %{_sysconfdir}/ros-release
%{_sysconfdir}/rpm/macros.ros

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 5.0-2
- Remove %%config from %%{_sysconfdir}/rpm/macros.*
  (https://fedorahosted.org/fpc/ticket/259).

* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 5.0-1
- Update to release 5 (ROS Groovy is the fifth ROS release)

* Tue Sep 25 2012 Rich Mattes <richmattes@gmail.com> - 4.0-1
- Initial version
